Package fr.gouv.vitam.common.serverv2

# Class VitamServerTestRunner

java.lang.Object
fr.gouv.vitam.common.serverv2.VitamServerTestRunner

public class VitamServerTestRunner extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VitamServerTestRunner.AdminApp`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOCALHOST`
  `static final int`
  `MIN_PORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)`
  `VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, SslConfig configuration, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `after()`
  `int`
  `getAdminPort()`
  `int`
  `getBusinessPort()`
  `MockOrRestClient`
  `getClient()`
  `final void`
  `releasePort()`
  `void`
  `runAfter()`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOCALHOST

    public static final String LOCALHOST
    See Also:
      - Constant Field Values

  - ### MIN_PORT

    public static final int MIN_PORT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)

  - ### VitamServerTestRunner

    public VitamServerTestRunner(Class<? extends jakarta.ws.rs.core.Application> application, Class<? extends jakarta.ws.rs.core.Application> adminApplication, SslConfig configuration, VitamClientFactoryInterface<?> factory, boolean hasTenantFilter, boolean hasAuthorizationFilter, boolean hasSession, boolean hasShiroFilter, boolean hasXsrFilter)

- ## Method Details

  - ### after

    protected void after() throws Exception
    Throws:
      `Exception`

  - ### getClient

    public MockOrRestClient getClient()

  - ### runAfter

    public void runAfter() throws Exception
    Throws:
      `Exception`

  - ### stop

    public void stop() throws Exception
    Throws:
      `Exception`

  - ### start

    public void start() throws Exception
    Throws:
      `Exception`

  - ### releasePort

    public final void releasePort()

  - ### getBusinessPort

    public int getBusinessPort()

  - ### getAdminPort

    public int getAdminPort()